import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTL4FunctionDescriptor extends _NSObject {
    static alloc(): _MTL4FunctionDescriptor;
    static new(): _MTL4FunctionDescriptor;
    init(): _MTL4FunctionDescriptor;
}
export interface _MTL4FunctionDescriptor extends _NSCopying {
}
